@import 'varible';
@import 'slick';
@import 'slick-theme';
@import 'fontawesome';
@import 'fancybox';
@import 'fancybox-theme';


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: $white;
    color: $black;
    overflow-x: hidden;
    font-family: $inter;
}

#wpadminbar {
    display: none;
}

.container {
    max-width: 1262px;
}

img {
    max-width: 100%;
}

ul {
    margin-bottom: 0;
}

.button {
    display: inline-block;
    color: $white;
    background: $primary;
    padding: 12px 24px;
    border-radius: 50px;
    text-decoration: none;
    transition: .3s all;
    font-weight: 400;
    border: 1px solid $primary;

    &:hover {
        background: darken($primary, 10%);
    }

}

.header {
    position: fixed;
    z-index: 999;
    background: #fff;
    top: 0;
    left: 0;
    width: 100%;

    &__branding {

        img {
            max-width: 120px;
            height: auto;
            opacity: 0.75;

        }
    }

    &__wrap {
        transition: .3s all;
        top: 0;
        left: 0;
        width: 100%;


        .container {
            padding: 1rem;
            display: flex;
            gap: 30px;
            justify-content: space-between;
            align-items: center;

            @include xl {
                padding: 1rem 0;
            }
        }
    }

    &_right,
    &_search {
        display: flex;
        align-items: center;

        i {
            display: block;
        }
    }

    &_search {
        &_form {
            overflow: hidden;
            transition: .3s all;
            width: 0;
            height: 0;

            &.show {
                width: 175px;
                height: auto;
            }

            form {
                border: 2px solid $black;
                padding: .125rem .5rem;
                border-radius: 3px;
                margin-right: 1rem;

                .search-field {
                    border: none;
                    outline: none;
                    width: 100%;

                    &::placeholder {
                        font-size: 12px;
                        line-height: 12px;
                    }
                }

                .search-submit {
                    display: none;
                }
            }
        }

        i {
            transition: .3s all;

            &.hidden {
                opacity: 0;
            }
        }
    }

    &__nav {
        .menu {
            li {
                list-style: none;
                display: inline-block;
                padding: .5rem 1rem .5rem 0;

                a {
                    color: $black;
                    text-decoration: none;
                    transition: .3s all;
                    text-transform: uppercase;

                }

                &.menu-item-has-children {
                    position: relative;
                    padding-right: 2rem;

                    &::before {
                        content: "\f107";
                        font-family: "Font Awesome 5 Free";
                        position: absolute;
                        right: .75rem;
                        font-weight: 900;
                        top: 50%;
                        font-size: 20px;
                        color: $black;
                        transform: translateY(-50%);
                        transition: .3s all;
                    }

                    &:hover {
                        &::before {
                            color: $black;
                        }

                        .sub-menu {
                            display: block;
                            position: absolute;
                            top: 100%;
                            left: 0;
                            border-radius: 0 0 5px 5px;
                            background-color: #fff;
                            padding-left: 0;
                            padding: .5rem;
                            width: max-content;

                            li {
                                width: max-content;
                                padding: .5rem;
                                display: block;

                                .sub-menu {
                                    display: none;
                                    border-radius: 0 5px 5px 0;
                                }

                                &.menu-item-has-children {
                                    position: relative;

                                    &::before {
                                        content: "\f105";
                                        right: .5rem;
                                    }

                                    &:hover {
                                        .sub-menu {
                                            display: block;
                                            position: absolute;
                                            top: 0;
                                            left: 100%;
                                        }
                                    }
                                }


                            }
                        }
                    }
                }
            }
        }

        .sub-menu {
            display: none;
        }

        &_mobile {

            &_button {
                font-size: 32px;
            }

            &__content {
                position: fixed;
                top: 0;
                right: 0;
                background: $white;
                transition: .3s all;
                height: 100%;
                z-index: 99;
                padding: 64px 16px;
                width: 75%;

                &.hide {
                    right: -150%;
                }

                li {
                    padding: .25rem 0;
                    list-style: none;
                    position: relative;
                    min-height: 48px;
                    display: block;

                    @include lg {
                        font-size: 24px;
                    }

                    a {
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        display: inline-block;
                        min-height: 50px;
                        line-height: 50px;
                        position: relative;
                        color: $black;
                        text-decoration: none;
                    }

                    &.menu-item-has-children {
                        padding-right: 32px;
                        cursor: pointer;


                        &>a {


                            &::before {
                                content: "\f107";
                                font-family: "Font Awesome 5 Free";
                                right: .75rem;
                                font-weight: 900;
                                position: absolute;
                                right: .75rem;
                                top: 50%;
                                font-size: 20px;
                                color: $black;
                                transform: translateY(-50%);
                                transition: .3s all;

                                // @include lg {
                                //     top: 24px;
                                // }
                            }

                            &:hover {
                                &::before {
                                    color: $black;
                                }
                            }
                        }

                        .sub-menu {
                            max-height: 0;
                            overflow-y: hidden;
                            transition: max-height .5s ease-out;
                        }
                    }
                }

                &_close {
                    position: absolute;
                    top: 24px;
                    right: 12px;
                    font-size: 32px;
                }

            }
        }
    }
}

.row>* {
    padding-right: 1rem;
    padding-left: 1rem;

    @include md {
        padding-right: 25px;
        padding-left: 25px;
    }
}

.hide-for-medium {
    display: none;

    @include lg {
        display: flex;
    }

}

.show-for-medium {
    display: block;

    @include lg {
        display: none;
    }
}

.footer {
    background: $black;
    padding: 40px 0;
    color: $white;


    ul {
        padding-left: 0;
    }

    li {
        list-style: none;
        display: inline-block;
    }

    @include md {
        padding: 80px 0;
    }

    &-top {
        display: flex;
        flex-wrap: wrap;
        gap: 24px;
        justify-content: space-between;
        padding-bottom: 48px;

        @include md {
            gap: 62px;
            padding-bottom: 120px;
        }

        hr {
            flex-basis: 100%
        }
    }

    &-logo {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &-slogan {
        .button {
            margin: 1rem auto;
            display: block;
            width: max-content;

            @include md {
                display: inline-block;
                margin-left: 24px;
            }
        }
    }

    a {
        color: $white;
        text-decoration: none;

    }

    &-nav {
        li {
            padding-right: 16px;
            padding-bottom: 16px;
            transition: .3s all;

            &:hover {
                transform: scale(1.1);
            }

            @include md {
                padding-bottom: 0;
                padding-right: 48px;
            }

        }
    }

    &-contact {
        a {
            display: inline-block;
            padding-right: 16px;
            padding-bottom: 16px;
            transition: .3s all;

            @include md {
                padding-right: 0;
                padding-left: 16px;
            }

            &:hover {
                transform: scale(1.1);
            }

            @include md {
                padding-left: 48px;
                padding-bottom: 0;
            }


        }
    }
}

.inner-footer {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    justify-content: space-between;

    @include md {
        gap: 64px;
    }
}

.animation-in {
    transition: .3s all;
    position: relative;
    overflow: hidden;

    .bottom {
        transform: translateY(100%);
    }

    .left {
        transform: translateX(-150%);
    }

    .right {
        transform: translateX(150%);
    }

    .transparent{
        opacity: 0;
    }

    .bottom,
    .left,
    .transparent,
    .right {
        transition: .6s all;
    }

    &.show {
        opacity: 1;

        .bottom,
        .left,
        .right,
        .transparent {
            opacity: 1;
            transform: translate(0);
        }
    }
}


@import 'home-header';
@import 'home-offer';
@import 'home_about';
@import 'home_gallery';
@import 'home_cta';